Skip to main content
GET
List Conversations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Query Parameters

cursor
string | null

Cursor for pagination (use next_cursor from previous response)

limit
integer
default:50

Number of conversations to return

Required range: 1 <= x <= 100
sort_by
string | null
default:updated_at

Field to sort by (e.g., 'id', 'updated_at', 'created_at', 'title')

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
status
string | null

Filter by conversation status

search
string | null

Search conversations by title

user_id
string | null

Filter by user ID

collection_id
string | null

Filter by collection ID

Response

Successful Response

Response schema for listing conversations with cursor-based pagination.

data
ConversationRead · object[]
required

List of conversations

total_count
integer
required

Number of conversations in this response

has_more
boolean
required

Whether there are more conversations available

next_cursor
string | null

Cursor for the next page